package manage

import (
	"os"
	"encoding/json"

	"git.rdelaage.ovh/rdelaage/cyanocorax/model/site"
)

func SiteFromFile(filePath string) (site.Site, error) {
	var site site.Site

	file, err := os.ReadFile(filePath)
	if err != nil {
		return site, err
	}

	err = json.Unmarshal(file, &site)
	if err != nil {
		return site, err
	}

	return site, err
}
