package author

import (
	"strings"
)

type Author struct {
	Handle     string `json:"handle"`
	FullName   string `json:"fullName"`
	Bio      []string `json:"bio"`
	Banner   []string `json:"banner"`
}

func (a *Author) GetBio() string {
	return strings.Join(a.Bio, "\n")
}

func (a *Author) SetBio(newBio string) {
	a.Bio = strings.Split(newBio, "\n")
}

func (a *Author) GetBanner() string {
	return strings.Join(a.Banner, "\n")
}

func (a *Author) SetBanner(newBanner string) {
	a.Banner = strings.Split(newBanner, "\n")
}
