package post

import (
	"time"

	"git.rdelaage.ovh/rdelaage/cyanocorax/model/page"
	"git.rdelaage.ovh/rdelaage/cyanocorax/model/tag"
)

type Post struct {
	page.Page

	Authors     []string    `json:"authors"`
	Tags        []tag.Tag   `json:"tags"`
	DateEdit      time.Time `json:"dateEdit"`
	DateCreate    time.Time `json:"dateCreate"`
	DatePublish   time.Time `json:"datePublish"`
}
